> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos.md).

# API How-Tos

The IONOS Cloud Container Registry service allows you to manage Docker and OCI compatible registries for use by your managed Kubernetes clusters. Use a container registry to make sure you have a private registry to effectively support pulling images.

### Quick Links:

| [<mark style="color:blue;">**GET Locations**</mark>](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos/locations.md)                   | [<mark style="color:blue;">**GET Registries**</mark>](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos/registries.md)          | [<mark style="color:blue;">**GET Registry by ID**</mark>](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos/registry_id.md)  |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [<mark style="color:blue;">**Create Container Registry**</mark>](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos/create_registry.md) | [<mark style="color:blue;">**Create Registry Token**</mark>](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos/create_token.md) | [<mark style="color:blue;">**Delete Registry**</mark>](/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos/delete_registry.md) |

### ContainerRegistry API - OpenAPI Specification

{% embed url="<https://api.ionos.com/docs/containerregistry/v1/>" %}
Click here for the OpenAPI Specification File
{% endembed %}

**Endpoint:** `https://api.ionos.com/containerregistries`

To make authenticated requests to the API, you must include a few fields in the request headers. Please find relevant descriptions below:

### Request parameter headers

| Header                | Required |   Type  | Description                                                                                                                       |
| --------------------- | :------: | :-----: | --------------------------------------------------------------------------------------------------------------------------------- |
| **Authorization**     |    yes   |  string | HTTP Basic authorization. A base64 encoded string of a username and password separated by a colon. `username@domain.tld:password` |
| **X-Contract-Number** |    no    | integer | Users with more than one contract may apply this header to indicate the applicable contract.                                      |
| **Content-Type**      |    yes   |  string | Set this to `application/json`.                                                                                                   |

### **Examples**

We use `curl` in our examples, as this tool is available on Windows 10, Linux and macOS. Please refer to our blogpost about `curl` on Windows if you encounter any problems:

{% embed url="<https://www.ionos.com/digitalguide/server/tools/introduction-to-curl-in-linux>" %}

{% embed url="<https://www.ionos.com/digitalguide/server/tools/introduction-to-curl-in-windows>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/~/revisions/AMiYziCllTKB2y2lmONY/containers/private-container-registry/api-howtos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
